Bug 865398 - inst.updates is not recognized by LiveCD
inst.updates is not recognized by LiveCD
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Chris Lumens
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F18-accepted/F18FinalFreezeExcept
  Show dependency treegraph
 
Reported: 2012-10-11 06:46 EDT by Kamil Páral
Modified: 2012-10-23 10:13 EDT (History)
4 users (show)

See Also:
Fixed In Version: anaconda-18.16-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-23 10:13:15 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kamil Páral 2012-10-11 06:46:07 EDT
Description of problem:
If I boot LiveCD with inst.updates=foo, the option is not recognized and the updates.img is not downloaded and applied. If I boot with updates=foo, it works.

However, DVD/netinst correctly parses both inst.updates=foo and updates=foo.

According to the current documentation, inst.updates should be supported always:
http://wwoods.fedorapeople.org/doc/boot-options.html

Version-Release number of selected component (if applicable):
F18 Beta TC3
anaconda 18.14

How reproducible:
always

Steps to Reproduce:
1. boot LiveCD with inst.updates=foo
2. run anaconda
3. check whether /tmp/updates exists
Comment 1 Kamil Páral 2012-10-11 06:47:06 EDT
By the time Fedora 18 is released, anaconda documentation should match anaconda behavior. We should fix anaconda or adjust documentation. Proposing as Final blocker.
Comment 2 Kamil Páral 2012-10-11 08:29:33 EDT
Changing proposal to Final NTH, that is more appropriate. In the worst case this can be CommonBugs.
Comment 3 Fedora Update System 2012-10-11 21:06:14 EDT
anaconda-18.16-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/anaconda-18.16-1.fc18
Comment 4 Fedora Update System 2012-10-12 13:55:41 EDT
Package anaconda-18.16-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing anaconda-18.16-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-16018/anaconda-18.16-1.fc18
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2012-10-16 23:09:15 EDT
anaconda-18.17-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/anaconda-18.17-1.fc18
Comment 6 Kamil Páral 2012-10-17 06:24:49 EDT
This is not fixed in anaconda 18.16.
Comment 7 Kamil Páral 2012-10-17 06:26:03 EDT
Oh I'm sorry, it is fixed in 18.16.
Comment 8 Fedora Update System 2012-10-17 13:31:00 EDT
Package anaconda-18.17-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing anaconda-18.17-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-16295/anaconda-18.17-1.fc18
then log in and leave karma (feedback).
Comment 9 Fedora Update System 2012-10-17 22:38:07 EDT
anaconda-18.18-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/anaconda-18.18-1.fc18
Comment 10 Kamil Páral 2012-10-18 07:42:26 EDT
This is a sisyphean task. Back to verified.
Comment 11 Fedora Update System 2012-10-18 11:30:38 EDT
Package anaconda-18.18-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing anaconda-18.18-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-16402/anaconda-18.18-1.fc18
then log in and leave karma (feedback).
Comment 12 Fedora Update System 2012-10-19 21:33:55 EDT
anaconda-18.19-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/anaconda-18.19-1.fc18
Comment 13 Kamil Páral 2012-10-23 10:13:15 EDT
Anaconda is stable now. Closing.

Note You need to log in before you can comment on or make changes to this bug.